HomePentest-Tools.com Logo

Bftpd < 5.4 Multiple Vulnerabilities CVE-2020-6162CVE-2020-6835

Severity
CVSSv3 Score
9.8
Vulnerability description

Bftpd is prone to multiple vulnerabilities.

Risk description

The following vulnerabilities exist: - CVE-2020-6162: Under certain circumstances, an out-of-bounds read is triggered due to an uninitialized value. The daemon crashes at startup in the hidegroups_init function in dirlist.c. - CVE-2020-6835: There is a heap-based off-by-one error during file-transfer error-checking. Successful exploitation would allow an attacker to crash the FTP server or execute arbitrary code on the target machine.

Recommendation

Update to version 5.4.

Codename
Not available
Detectable with
Network Scanner
Scan engine
OpenVAS
Exploitable with Sniper
No
CVE Published
Jan 10, 2020
Detection added at
Software Type
Not available
Vendor
Not available
Product
Not available